## org.apache.batik.apps.svgpp
Class Main

    java.lang.Object
      org.apache.batik.apps.svgpp.Main

public class Main
extends java.lang.Object

This class is the main class of the svgpp application.

svgpp is a pretty-printer for SVG source files.

Nested Class Summary
`protected class` `Main.DoctypeHandler` To handle the '-doctype' option.
`protected class` `Main.DocWidthHandler` To handle the '-doc-width' option.
`protected class` `Main.NewlineHandler` To handle the '-newline' option.
`protected class` `Main.NoFormatHandler` To handle the '-no-format' option.
`protected static interface` `Main.OptionHandler` This interface represents an option handler.
`protected class` `Main.PublicIdHandler` To handle the '-public-id' option.
`protected class` `Main.SystemIdHandler` To handle the '-system-id' option.
`protected class` `Main.TabWidthHandler` To handle the '-tab-width' option.
`protected class` `Main.XMLDeclHandler` To handle the '-xml-decl' option.

Field Summary
`protected java.lang.String[]` `arguments` The arguments.
`static java.lang.String` `BUNDLE_CLASSNAME` The default resource bundle base name.
`protected java.util.Map` `handlers` The option handlers.
`protected int` `index` The current index.
`protected static LocalizableSupport` `localizableSupport` The localizable support.
`protected Transcoder` `transcoder` The transcoder.

Constructor Summary
`Main(java.lang.String[] args)` Initializes the application.

Method Summary
`static void` `main(java.lang.String[] args)` The application main method.
`protected void` `printHeader()` Prints the command header.
`protected void` `printUsage()` Prints the command usage.
`void` `run()` Runs the pretty printer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUNDLE_CLASSNAME

    public static final java.lang.String BUNDLE_CLASSNAME

  The default resource bundle base name.

  See Also:
    Constant Field Values

### localizableSupport

    protected static LocalizableSupport localizableSupport

  The localizable support.

### arguments

    protected java.lang.String[] arguments

  The arguments.

### index

    protected int index

  The current index.

### handlers

    protected java.util.Map handlers

  The option handlers.

### transcoder

    protected Transcoder transcoder

  The transcoder.

Constructor Detail

### Main

    public Main(java.lang.String[] args)

  Initializes the application.

Parameters:
  `args` - The command-line arguments.

Method Detail

### main

    public static void main(java.lang.String[] args)

  The application main method.

  Parameters:
    `args` - The command-line arguments.

### run

    public void run()

  Runs the pretty printer.

### printUsage

    protected void printUsage()

  Prints the command usage.

### printHeader

    protected void printHeader()

  Prints the command header.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.